import request from '@/utils/request'

// 堵漏日期统计
export function sealDateData(query) {
  return request({
    url: '/process/moc/sealDateData',
    method: 'get',
    params: query
  })
}

// 介质类型统计
export function materialTypeData(query) {
  return request({
    url: '/process/moc/materialTypeData',
    method: 'get',
    params: query
  })
}

// 泄露位置统计
export function leakLocationData(query) {
  return request({
    url: '/process/moc/leakLocationData',
    method: 'get',
    params: query
  })
}

// 部门统计
export function departmentData(query) {
  return request({
    url: '/process/moc/departmentData',
    method: 'get',
    params: query
  })
}

// 卡具状态统计
export function statusData(query) {
  return request({
    url: '/process/moc/statusData',
    method: 'get',
    params: query
  })
}

// 临时MOC状态统计
export function tempStateData(query) {
  return request({
    url: '/process/moc/tempStateData',
    method: 'get',
    params: query
  })
}

// 风险等级统计
export function riskLevelData(query) {
  return request({
    url: '/process/moc/riskLevelData',
    method: 'get',
    params: query
  })
}

// MC情况统计
export function mcDetailData(query) {
  return request({
    url: '/process/moc/mcDetailData',
    method: 'get',
    params: query
  })
}

// 区域统计
export function areaData(query) {
  return request({
    url: '/process/moc/areaData',
    method: 'get',
    params: query
  })
}

// MOC编号统计
export function mocNoData(query) {
  return request({
    url: '/process/moc/mocNoData',
    method: 'get',
    params: query
  })
}

// 查询MOC管理列表
export function list(query) {
  return request({
    url: '/process/moc/list',
    method: 'get',
    params: query
  })
}

export function listPermanent(query) {
  return request({
    url: '/process/moc/listpermanent',
    method: 'get',
    params: query
  })
}

export function listTemporary(query) {
  return request({
    url: '/process/moc/listtemporary',
    method: 'get',
    params: query
  })
}

export function listAquifier(query) {
  return request({
    url: '/process/moc/listaquifier',
    method: 'get',
    params: query
  })
}

export function listFacility(query) {
  return request({
    url: '/process/moc/listfacility',
    method: 'get',
    params: query
  })
}

export function listInterlock(query) {
  return request({
    url: '/process/moc/listinterlock',
    method: 'get',
    params: query
  })
}

// 查询申请统计
export function yearData(query) {
  return request({
    url: '/process/moc/yearData',
    method: 'get',
    params: query
  })
}

// 查询申请统计
export function trueStateData(query) {
  return request({
    url: '/process/moc/trueStateData',
    method: 'get',
    params: query
  })
}

// 变成性质统计
export function changeData(query) {
  return request({
    url: '/process/moc/changeData',
    method: 'get',
    params: query
  })
}
// 类别统计
export function categoryData(query) {
  return request({
    url: '/process/moc/categoryData',
    method: 'get',
    params: query
  })
}

// 类别统计
export function riskData(query) {
  return request({
    url: '/process/moc/riskData',
    method: 'get',
    params: query
  })
}

// 查询MOC管理详细
export function getMoc(id) {
  return request({
    url: '/process/moc/' + id,
    method: 'get'
  })
}

// 新增MOC管理
export function addMoc(data) {
  return request({
    url: '/process/moc',
    method: 'post',
    data: data
  })
}

// 修改MOC管理
export function updateMoc(data) {
  return request({
    url: '/process/moc',
    method: 'put',
    data: data
  })
}

// 延期操作
export function delay(data) {
  return request({
    url: '/process/moc/delay',
    method: 'put',
    data: data
  })
}

// 删除MOC管理
export function delMoc(id) {
  return request({
    url: '/process/moc/' + id,
    method: 'delete'
  })
}

// 导出永久MOC
export function exportPermanentMoc(query) {
  return request({
    url: '/process/moc/exportpermanent',
    method: 'get',
    params: query
  })
}

// 导出临时MOC
export function exportTemporaryMoc(query) {
  return request({
    url: '/process/moc/exporttemporary',
    method: 'get',
    params: query
  })
}

// 导出临时MOC - 带压消漏清单
export function exportAquifier(query) {
  return request({
    url: '/process/moc/exportaquifier',
    method: 'get',
    params: query
  })
}

// 导出临时MOC - 临时设施、其它
export function exportFacility(query) {
  return request({
    url: '/process/moc/exportfacility',
    method: 'get',
    params: query
  })
}

// 导出临时MOC - 仪表联锁旁路
export function exportInterlock(query) {
  return request({
    url: '/process/moc/exportinterlock',
    method: 'get',
    params: query
  })
}

// 导出MOC
export function exportMoc(query) {
  return request({
    url: '/process/moc/export',
    method: 'get',
    params: query
  })
}
